CGAL 6.2 - 2D Arrangements: Drawing

CGAL 6.2 - 2D Arrangements

Loading...
Searching...
No Matches
Functions
Drawing
Reference Manual

##

`#include<CGAL/draw_arrangement_2.h>`

## Functions
template<typename GeometryTraits , typename TopologyTraits >
void | CGAL::draw (const Arrangement_on_surface_2< GeometryTraits, TopologyTraits > &arr, const Bbox_2 &bbox, const GSOptions &gso, const char *title="2D Arrangement on Surface")
| The function opens a new window and draws `arr`, an instance of the `CGAL::Arrangement_on_surface_2` class template.
template<typename GeometryTraits , typename TopologyTraits >
void | CGAL::draw (const Arrangement_on_surface_2< GeometryTraits, TopologyTraits > &arr, const Bbox_2 &bbox, const char *title="2D Arrangement on Surface")
| A shortcut to `CGALdraw(arr, bbox, Graphics_scene_options<Aos, Aos::Vertex_const_handle, Aos::Halfedge_const_handle, Aos::Face_const_handle>{})`, where`Aos`is` Arrangement_on_surface_2<GeometryTraits, TopologyTraits>`.
template<typename GeometryTraits , typename TopologyTraits >
void | CGAL::draw (const Arrangement_on_surface_2< GeometryTraits, TopologyTraits > &arr, const GSOptions &gso, const char *title="2D Arrangement on Surface")
| Similar to `CGAL::draw(arr, bbox, gso)`, where the bounding box `bbox` is computed to bound all points and curves of the arrangement in parameter space.
template<typename GeometryTraits , typename TopologyTraits >
void | CGAL::draw (const Arrangement_on_surface_2< GeometryTraits, TopologyTraits > &arr, const char *title="2D Arrangement on Surface")
| A shortcut to `CGALdraw(arr, Graphics_scene_options<Aos, Aos::Vertex_const_handle, Aos::Halfedge_const_handle, Aos::Face_const_handle>{})`, where`Aos`is` Arrangement_on_surface_2<GeometryTraits, TopologyTraits>`.

## Function Documentation

## ◆ draw()

template<typename GeometryTraits , typename TopologyTraits >

void CGAL::draw | ( | const Arrangement_on_surface_2< GeometryTraits, TopologyTraits > & | arr,
|  | const Bbox_2 & | bbox,
|  | const GSOptions & | gso,
|  | const char * | title = `"2D Arrangement on Surface"`
| ) |  |

`#include <CGAL/draw_arrangement_2.h>`

The function opens a new window and draws `arr`, an instance of the `CGAL::Arrangement_on_surface_2` class template.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  GeometryTraits | a geometry traits type, a model of a 2D arrangement geometry traits concept. Observe that not all geometery-traits models are supported.
  TopologyTraits | a topology traits type, a model of the `AosTopologyTraits` concept.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  arr | the 2D arrangement to draw.
  bbox | a bounding box in parameter space.
  gso | the graphics scene options.
  title | the optional title of the window.

See also
  `AosTraits_2`
  `AosTopologyTraits`
  `GraphicsSceneOptions`